[Solved] Lightning calendar killed by Thunderbird upgrade

Everything about X, Gnome, KDE, ... and everything running on it

[Solved] Lightning calendar killed by Thunderbird upgrade

Postby Kevin1 » 2018-12-11 19:36

I used Synaptic to upgrade my 64 bit Jessie 8.11 system and now the Lightning calendar is missing from the Thunderbird mail client.
Thunderbird and Lightning are both now 1:60.3.0-1 ~ deb8u.
Under Thunderbird Tools/Add-ons/Extensions, Lightning 5.4 is disabled and stated to be incompatible with Thunderbird 60.3.0.
I understand that there are security issues with Thunderbird / Lightning, and there are suggestions on the web that Lightning is no longer an add-on, but is integrated into Thunderbird.

I wish to stay with Jessie and urgently need to get my calendar back.

What are my options?
Last edited by Kevin1 on 2018-12-12 07:57, edited 1 time in total.
Kevin1
 
Posts: 26
Joined: 2014-12-23 22:34

Re: Lightning calendar killed by Thunderbird upgrade to 60.3

Postby stevepusser » 2018-12-11 21:42

Code: Select all
apt-cache policy lightning

apt-get install lightning
if you see, as you should, the 60.3 version will be installed.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, 4.19.13 kernel, wine-staging 4.0~rc4, Stellarium 0.18.3, VLC 3.0.5, Midori 7.0
User avatar
stevepusser
 
Posts: 10429
Joined: 2009-10-06 05:53

Re: Lightning calendar killed by Thunderbird upgrade to 60.3

Postby Kevin1 » 2018-12-11 22:36

Thanks Steve.

Code: Select all
$ apt-cache policy lightning
lightning:
  Installed: 1:60.3.0-1~deb8u1
  Candidate: 1:60.3.0-1~deb8u1
  Version table:
 *** 1:60.3.0-1~deb8u1 0
        500 http://security.debian.org/ jessie/updates/main amd64 Packages
        100 /var/lib/dpkg/status
     1:52.8.0-1~deb8u1 0
        500 http://ftp.uk.debian.org/debian/ jessie/main amd64 Packages


Code: Select all
$ sudo apt-get install lightning
Reading package lists... Done
Building dependency tree       
Reading state information... Done
lightning is already the newest version.
lightning set to manually installed.
The following packages were automatically installed and are no longer required:
  libjsoncpp0 linux-headers-3.16.0-5-amd64 linux-headers-3.16.0-5-common
  linux-image-3.16.0-5-amd64
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.


Any other suggestions?
Kevin1
 
Posts: 26
Joined: 2014-12-23 22:34

Re: Lightning calendar killed by Thunderbird upgrade to 60.3

Postby stevepusser » 2018-12-11 23:37

Did you remove the incompatible 5.4 Lightning extension in Tbird yet?
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, 4.19.13 kernel, wine-staging 4.0~rc4, Stellarium 0.18.3, VLC 3.0.5, Midori 7.0
User avatar
stevepusser
 
Posts: 10429
Joined: 2009-10-06 05:53

Re: Lightning calendar killed by Thunderbird upgrade to 60.3

Postby Kevin1 » 2018-12-12 07:55

I had assumed that as 5.4 was disabled it would have no effect.
After removing it and rebooting I have my calendar back.
The Extension is now showing as Lightning 6.2.3.
Many thanks, Steve.

Kevin
Kevin1
 
Posts: 26
Joined: 2014-12-23 22:34


Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 4 guests

fashionable